using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Entities.PF;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    /// <summary>
    /// 会议计划限制部门
    /// </summary>
    [Description("会议计划限制部门")]
    public class T_SC_MT_PLAN_SET_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 会议计划
        /// </summary>
        [Description("会议计划")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_PlanSet", "Nav_ListSetDepartment")]
        public Guid PLAN_SET_ID { get; set; }

        /// <summary>
        /// 会议计划
        /// </summary>
        [Description("导航：会议计划")]
        public virtual T_SC_MT_PLAN_SET Nav_PlanSet { get; set; }

        /// <summary>
        /// 限制部门
        /// </summary>
        [Description("限制部门")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Department")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 限制部门
        /// </summary>
        [Description("导航：限制部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}